/******************************************************************************
*******************************************************************************
**                                                                           **
**      C Swing - A graphical file and directory maintenance utility         **
**                                                                           **
*******************************************************************************
**                                                                           **
**      Original C coding by: S. J. Brown                                    **
**                                                                           **
**      Modifications by many others; see the documentation for a list       **
**                                                                           **
**      Copyright 1994, Harry Flowers and Foteos Macrides                    **
**                                                                           **
**      Terms of Copyright:  This software may be freely distributed         **
**          and used by anyone, providing the distributor provides it        **
**          free of charge or at a price which only covers distribution      **
**          costs.  It may not be sold.  Note that versions prior to         **
**          V3.7.4 were public domain, and are not subject to these terms.   **
**                                                                           **
**      Disclaimer: No warranties as to the use or reliability of this       **
**          software are given by the authors or distributors.  Use at       **
**          your own risk.                                                   **
**                                                                           **
*******************************************************************************
******************************************************************************/
 
/*
**  swing_39.c
**  Small hack to se if we are running on a suported termtype
*/
#include <stdio.h>
#include <jpidef.h>
#include <dvidef.h>
#include <ssdef.h>
#include <descrip.h>

typedef	 unsigned  long  ULONG;		/* for unsigned long integers	      */

extern	 ULONG	  LIB$GETJPI(),
		  LIB$GETDVI();

check_termtype(void)

{
	 ULONG	  status,		/* return code status holder	      */
		  master_pid;		/* parent process PID		      */
         short    out;                  /* True or false                      */
	 char	  term[8];		/* current process name array	      */
$DESCRIPTOR(term_d,term);		/* for getting terminal name	      */

   status = LIB$GETJPI(&JPI$_MASTER_PID,0,0,&master_pid,0,0); 

   if(!(status & SS$_NORMAL))
      LIB$STOP(status);

   status = LIB$GETJPI(&JPI$_TERMINAL,&master_pid,0,0,&term_d,0);

   if(!(status & SS$_NORMAL))
      LIB$STOP(status);

   status = LIB$GETDVI(&DVI$_TT_ANSICRT,0,&term_d,&out,0,0);

   if(!(status & SS$_NORMAL))
      LIB$STOP(status);
   status = (out & SS$_NORMAL);
   return(status);
}
