/******************************************************************************
*******************************************************************************
**                                                                           **
**      C Swing - A graphical file and directory maintenance utility         **
**                                                                           **
*******************************************************************************
**                                                                           **
**      Original C coding by: S. J. Brown                                    **
**                                                                           **
**      Modifications by many others; see the documentation for a list       **
**                                                                           **
**      Copyright 1994, Harry Flowers and Foteos Macrides                    **
**                                                                           **
**      Terms of Copyright:  This software may be freely distributed         **
**          and used by anyone, providing the distributor provides it        **
**          free of charge or at a price which only covers distribution      **
**          costs.  It may not be sold.  Note that versions prior to         **
**          V3.7.4 were public domain, and are not subject to these terms.   **
**                                                                           **
**      Disclaimer: No warranties as to the use or reliability of this       **
**          software are given by the authors or distributors.  Use at       **
**          your own risk.                                                   **
**                                                                           **
*******************************************************************************
******************************************************************************/
 
globalref int total_lines;
globalref int controlc_on;
globalref LINE *first_line_ptr;
globalref char junk[];
globalref char *joins[];
globalref char *listing_joins[];
globalref char *interline_joins[];
globalref int paste, keyboard, display1, displayt, displayb, displayf, display_dcl;
globalref int current_line, current_level, current_top_line;
globalref LINE *curr_l_ptr;
globalref int exit_error;
globalref int old_msk;
globalref unsigned short channel1;
globalref int condition;
globalref char save_file_away[], save_file_home[], save_file_ss[];
globalref int original_width, original_color;
globalref char help_spec[];
globalref int help_initialized;
globalref int message_set;
globalref int display_msg;
globalref int broadcasts_rxed;
globalref int outstanding_broadcasts;
globalref int panicked_already;
globalref int delete_screen_initialized;
globalref int display_delete;
globalref int deleted_ok;
globalref int deleted_option;
globalref int not_deleted_ok;
globalref int total_examined;
globalref int originally_ok;

globalref DSTRUCTURE *fdp;
globalref DSTRUCTURE *cdp;
globalref char sys_disk[];

globalref int sl_mark_set;
globalref char sl_mark_dir[];

globalref int br_mark_set;
globalref char br_mark_dir[];

globalref int cb_mark_set;
globalref char cb_mark_dir[];

globalref int rb_mark_set;
globalref char rb_mark_dir[];

globalref int max_owner_width;
globalref int started;

globalref UOPT options_list[];

globalref int total_files;
globalref int curr_top_file;
globalref int curr_file_no;
globalref int files_selected;
globalref int cursor_line;
globalref FILER *first_file_ptr;
globalref FILER *curr_file_ptr;

globalref char print_queue[];
globalref char batch_queue[];
globalref char editor_defn[];

globalref char remote_node[];
globalref char remote_device[];
globalref char remote_directory[];
globalref char remote_filename[];
globalref int fm_type;

globalref unsigned short mfd_did[];
globalref int dir_channel;
globalref int page_length;
globalref int continual_update;

globalref char this_user[];
globalref char start_dir[];

globalref int sysroot_flag;
