/******************************************************************************
*******************************************************************************
**                                                                           **
**      MOST for C Swing and Gopher - A file viewer                          **
**                                                                           **
*******************************************************************************
**                                                                           **
**      Original C coding by: John E. Davis                                  **
**                                                                           **
**      Modifications primarily by Foteos Macrides                           **
**                                                                           **
**      Copyright 1991, John E. Davis                                        **
**                                                                           **
**      Terms of Copyright: See MAIN.C                                       **
**                                                                           **
**      Disclaimer: No warranties as to the use or reliability of this       **
**          software are given by the authors or distributors.  Use at       **
**          your own risk.                                                   **
**                                                                           **
*******************************************************************************
******************************************************************************/
/*
 *  MOST:  line.h
 *
 *  Modified for C SWING and GOPHER compatibility by Foteos Macrides
 *                                                MACRIDES@SCI.WFEB.EDU
 */

#ifndef _DAVIS_LINE_H_
#define _DAVIS_LINE_H_
extern int ascii_format_line(char *, char *);
extern void expand_tabs(char *, char *);
extern int analyse_line(unsigned char *, unsigned char *, char *, char *);
extern void output(char *, int, char *, char);
extern void display_line();
extern int apparant_distance(unsigned char *);
#endif

void most_display_line(void);
